diff -Nru orig/quanteda/inst/include/lib.h patched/quanteda/inst/include/lib.h
--- orig/quanteda/inst/include/lib.h	2023-05-17 10:08:07.000000000 +0200
+++ patched/quanteda/inst/include/lib.h	2024-02-13 13:24:31.639751900 +0100
@@ -26,6 +26,12 @@
 #define QUANTEDA_USE_TBB false
 #endif
 
+#if defined(_WIN32) && defined(__clang__) && defined(TBB_VERSION_MAJOR) && TBB_VERSION_MAJOR >= 2021
+# undef QUANTEDA_USE_TBB
+# define QUANTEDA_USE_TBB false
+# warning "Disabling TBB, using thread-unsafe API"
+#endif
+
 namespace quanteda{
     
     typedef ListOf<IntegerVector> Tokens;
